import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { CreateFrequencyRuleArgs } from '../types/CreateFrequencyRuleArgs';
export type CreateFrequencyRuleInstructionArgs = {
    createFrequencyRuleArgs: CreateFrequencyRuleArgs;
};
export declare const CreateFrequencyRuleStruct: beet.FixableBeetArgsStruct<CreateFrequencyRuleInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type CreateFrequencyRuleInstructionAccounts = {
    payer: web3.PublicKey;
    frequencyPda: web3.PublicKey;
    systemProgram?: web3.PublicKey;
};
export declare const createFrequencyRuleInstructionDiscriminator = 2;
export declare function createCreateFrequencyRuleInstruction(accounts: CreateFrequencyRuleInstructionAccounts, args: CreateFrequencyRuleInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
